

Patch from Oleg Drokin <green@namesys.com>

   There is trivial memleak on error exit path in nfs get_sb function.



 fs/nfs/inode.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/nfs/inode.c~nfs-memleak-fix fs/nfs/inode.c
--- 25/fs/nfs/inode.c~nfs-memleak-fix	2003-03-11 08:43:45.000000000 -0800
+++ 25-akpm/fs/nfs/inode.c	2003-03-11 08:43:45.000000000 -0800
@@ -1231,6 +1231,7 @@ static struct super_block *nfs_get_sb(st
 
 	if (root->size > sizeof(root->data)) {
 		printk("nfs_get_sb: invalid root filehandle\n");
+		kfree(server);
 		return ERR_PTR(-EINVAL);
 	}
 	/* We now require that the mount process passes the remote address */

_
